Doubao-Seedream-5.0-lite(同步任务)
bytedance/doubao-seedream-5-0-lite
同步任务:/v1/images/generations,直接返回结果。
https://router.shengsuanyun.com/apiAuthorization: Bearer YOUR_API_KEY端点列表
POST/v1/images/generations豆包 图像生成-同步
同步接口:直接返回生成结果。
请求体
application/json
object
anyOf · 1
| 字段 | 类型 | 说明 | ||||||
|---|---|---|---|---|---|---|---|---|
prompt必填 | stringtextarea | |||||||
size | string | 可选值:"2048x2048" · "1728x2304" · "2304x1728" · "2848x1600" · "1600x2848" · "2496x1664" · "1664x2496" · "3136x1344" · "3072x3072" · "2592x3456" · "3456x2592" · "4096x2304" · "2304x4096" · "2496x3744" · "3744x2496" · "4704x2016" | ||||||
watermark | boolean | |||||||
sequential_image_generation | string | 可选值:"auto" · "disabled" | ||||||
sequential_image_generation_options | object | 展开结构
| ||||||
model必填 | string | 路由模型,本页固定为 bytedance/doubao-seedream-5-0-lite |
anyOf · 2
| 字段 | 类型 | 说明 | ||||||
|---|---|---|---|---|---|---|---|---|
prompt必填 | stringtextarea | |||||||
image必填 | array | 展开结构
数组元素
| ||||||
size | string | 可选值:"2048x2048" · "1728x2304" · "2304x1728" · "2848x1600" · "1600x2848" · "2496x1664" · "1664x2496" · "3136x1344" · "3072x3072" · "2592x3456" · "3456x2592" · "4096x2304" · "2304x4096" · "2496x3744" · "3744x2496" · "4704x2016" | ||||||
watermark | boolean | |||||||
sequential_image_generation | string | 可选值:"auto" · "disabled" | ||||||
sequential_image_generation_options | object | 展开结构
| ||||||
model必填 | string | 路由模型,本页固定为 bytedance/doubao-seedream-5-0-lite |
anyOf · 3
| 字段 | 类型 | 说明 | ||||||
|---|---|---|---|---|---|---|---|---|
prompt必填 | stringtextarea | |||||||
size | string | 可选值:"2048x2048" · "1728x2304" · "2304x1728" · "2848x1600" · "1600x2848" · "2496x1664" · "1664x2496" · "3136x1344" · "3072x3072" · "2592x3456" · "3456x2592" · "4096x2304" · "2304x4096" · "2496x3744" · "3744x2496" · "4704x2016" | ||||||
watermark | boolean | |||||||
sequential_image_generation | string | 可选值:"auto" · "disabled" | ||||||
sequential_image_generation_options | object | 展开结构
| ||||||
stream | boolean | |||||||
model必填 | string | 路由模型,本页固定为 bytedance/doubao-seedream-5-0-lite |
{
"prompt": "string",
"size": "2048x2048",
"watermark": false,
"sequential_image_generation": "auto",
"sequential_image_generation_options": {},
"model": "bytedance/doubao-seedream-5-0-lite"
}请求示例
参考地址:https://router.shengsuanyun.com/api。路径参数与凭据需替换;非 JSON 请求体需按对应格式准备。
curl -X POST 'https://router.shengsuanyun.com/api/v1/images/generations' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
--data '{
"prompt": "string",
"size": "2048x2048",
"watermark": false,
"sequential_image_generation": "auto",
"sequential_image_generation_options": {},
"model": "bytedance/doubao-seedream-5-0-lite"
}'